Get document's data classification
GET/documents/:documentId/dataClassification
This endpoint has been deprecated and may be replaced or removed in future versions of the API.
Retrieve an document's data classification; available as an Add-On Module.
Deprecated. This endpoint is no longer recommended.
Please use /documents/{documentId}/ai/prompts/{llmPromptEntityName} instead.
Request
Path Parameters
Document Identifier
Query Parameters
Site Identifier
Artifact Document Identifier
Limit Results
10Next page of results token
Responses
- 200
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Next page of results token
dataClassifications
object[]
List of Data Classifications
Name of the LLM Prompt Entity
Inserted Timestamp
Result content
UserId that created Result
attributes
object[]
Attributes extracted from result content
Data Classification Attribute Key
Data Classification Attribute Value
{
"next": "string",
"dataClassifications": [
{
"llmPromptEntityName": "string",
"insertedDate": "string",
"content": "string",
"userId": "string",
"attributes": [
{
"key": "string",
"value": "string"
}
]
}
]
}